module tft_color(
	input 			clk,
	input 			rst_n,
	
	//tft output
	output  [15:0]  tft_rgb,  //TFT数据输出
	output          tft_hs,   //TFT行同步信号
	output          tft_vs,   //TFT场同步信号
	output          tft_clk,  //TFT像素时钟
	output          tft_de,   //TFT数据使能
	output          tft_pwm  //TFT背光控制
);
	wire clk_vga;//33m
	pll pll_inst(
		.inclk0			(clk					),
		.c0				(clk_vga				)
	);
	
	wire [11:0] hcount;
	wire [11:0] vcount;
	wire [15:0] disp_data;
	color_bar u_color_bar(
		.hcount			(hcount					),
		.vcount			(vcount					),
		.disp_data		(disp_data				)
	);
	
	assign tft_pwm = rst_n;
	disp_driver disp_driver(
		.ClkDisp		(clk_vga				),
		.Rst_n			(rst_n					),
		.Data			(disp_data				),
		.DataReq		(						),
		.H_Addr			(hcount					),
		.V_Addr			(vcount					),
		.Disp_HS		(tft_hs					),
		.Disp_VS		(tft_vs					),
		.Disp_Red		(tft_rgb[15:11]			),
		.Disp_Green		(tft_rgb[10:5]			),
		.Disp_Blue		(tft_rgb[4:0]			),
		.Disp_DE		(tft_de					),
		.Disp_PCLK		(tft_clk   				)
	);
	
endmodule
